#!/usr/bin/bash

version="4.2.0.Final"
name="eclipse-jbosstools"

MODULES="jbosstools-base \
         jbosstools-build \
         jbosstools-build-sites \
         jbosstools-freemarker \
         jbosstools-javaee \
         jbosstools-jst \
         jbosstools-openshift \
         jbosstools-server \
         jbosstools-webservices"

# Where possible, commit SHAs based on stable Git tag
declare -A commits
commits[jbosstools-base]="f4ea29ccac33559ce9f1fd84d0647a43b3f7bb22"
commits[jbosstools-build]="da9599c5800b01529eca745e578cde640f7eb5e8"
commits[jbosstools-build-sites]="6147b5c87b0b7fc1472e776a933766d622449890"
commits[jbosstools-freemarker]="49c7b3f34d3825529243ee2fa7af8a377067a185"
commits[jbosstools-javaee]="0889fcb672da5fb378b02171d45c0d3573bc118e"
commits[jbosstools-jst]="b86d1a9141d89fddc71570143716a7aba2021ee3"
commits[jbosstools-openshift]="fdadc3616d211908feb3823200f24eb634bb41a7"
commits[jbosstools-server]="5463793c11ddec77b04b207f6041d6169495081b"
commits[jbosstools-webservices]="c305a589dcdaa4abde67a9eb7987153c8fd5c304"

mkdir ${name}-${version}/

for module in ${MODULES}; do
  wget https://github.com/jbosstools/${module}/archive\
/${commits[${module}]}/${module}-${version}.tar.gz
done

pushd ${name}-${version}
  for module in ${MODULES}; do
    tar xfz ../${module}-${version}.tar.gz
    mv ${module}-${commits[${module}]} ${module}
  done

  for ext in jar war zip class; do
    find -type f -name *.${ext} -delete
  done
popd

tar cJf ${name}-${version}.tar.xz ${name}-${version}/
rm -r ${name}-${version}

for module in ${MODULES}; do
  rm ${module}-${version}.tar.gz
done
